// VCPP_35Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCPP_35.h"
#include "VCPP_35Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCPP_35Dlg dialog

CVCPP_35Dlg::CVCPP_35Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVCPP_35Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVCPP_35Dlg)
	m_strProgramName = _T("");
	m_bEnableProgram = FALSE;
	m_bShowMessage = FALSE;
	m_bShowProgram = FALSE;
	m_strMessage = _T("");
	m_bEnableMessage = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVCPP_35Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVCPP_35Dlg)
	DDX_CBString(pDX, IDC_COMBO_PROGRAMS, m_strProgramName);
	DDX_Check(pDX, IDC_CHECK_ENABLE_PROGRAM, m_bEnableProgram);
	DDX_Check(pDX, IDC_CHECK_SHOW_MESSAGE, m_bShowMessage);
	DDX_Check(pDX, IDC_CHECK_SHOW_PROGRAM, m_bShowProgram);
	DDX_Text(pDX, IDC_EDIT_MESSAGE, m_strMessage);
	DDX_Check(pDX, IDC_CHECK_ENABLE_MESSAGE, m_bEnableMessage);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVCPP_35Dlg, CDialog)
	//{{AFX_MSG_MAP(CVCPP_35Dlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BTN_SHOW_MESSAGE, OnShowMessage)
	ON_BN_CLICKED(IDC_BTN_DEFAULT_MESSAGE, OnDefaultMessage)
	ON_BN_CLICKED(IDC_BTN_CLEAR_MESSAGE, OnClearMessage)
	ON_BN_CLICKED(IDC_BTN_EXIT, OnExit)
	ON_BN_CLICKED(IDC_BTN_RUN_PROGRAM, OnRunProgram)
	ON_BN_CLICKED(IDC_CHECK_ENABLE_MESSAGE, OnCheckEnableMessage)
	ON_BN_CLICKED(IDC_CHECK_ENABLE_PROGRAM, OnCheckEnableProgram)
	ON_BN_CLICKED(IDC_CHECK_SHOW_MESSAGE, OnCheckShowMessage)
	ON_BN_CLICKED(IDC_CHECK_SHOW_PROGRAM, OnCheckShowProgram)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVCPP_35Dlg message handlers

BOOL CVCPP_35Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_strMessage="";

	m_bEnableMessage=TRUE;
	m_bEnableProgram=TRUE;
	
	m_bShowMessage=TRUE;
	m_bShowProgram=TRUE;

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVCPP_35Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVCPP_35Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CVCPP_35Dlg::OnShowMessage() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	
	MessageBox(m_strMessage,"Message",MB_ICONINFORMATION);	
}

void CVCPP_35Dlg::OnDefaultMessage() 
{
	// TODO: Add your control notification handler code here
	m_strMessage="Place your Message here.";
	
	UpdateData(FALSE);
}

void CVCPP_35Dlg::OnClearMessage() 
{
	// TODO: Add your control notification handler code here
	m_strMessage="";
	
	UpdateData(FALSE);

	GetDlgItem(IDC_EDIT_MESSAGE)->SetFocus( );
}

void CVCPP_35Dlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	SendMessage(WM_CLOSE);	
}

void CVCPP_35Dlg::OnRunProgram() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	
	CString strProgramName;

	strProgramName=m_strProgramName;

	strProgramName.MakeUpper( );

   if(strProgramName=="NOTEPAD")
		WinExec("notepad.exe",SW_SHOW);

   else if(strProgramName=="PAINT")
		WinExec("mspaint.exe",SW_SHOW);

   else if(strProgramName=="SOLITAIRE")
		WinExec("sol.exe",SW_SHOW);

	GetDlgItem(IDC_COMBO_PROGRAMS)->SetFocus( );
}

void CVCPP_35Dlg::OnCheckEnableMessage() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);	

	if(m_bEnableMessage==TRUE)
	{
		GetDlgItem(IDC_STATIC_ENTER_MESSAGE)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_MESSAGE)->EnableWindow(TRUE);
		GetDlgItem(IDC_BTN_SHOW_MESSAGE)->EnableWindow(TRUE);
		GetDlgItem(IDC_BTN_DEFAULT_MESSAGE)->EnableWindow(TRUE);
		GetDlgItem(IDC_BTN_CLEAR_MESSAGE)->EnableWindow(TRUE);
	}

	else
	{
		GetDlgItem(IDC_STATIC_ENTER_MESSAGE)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_MESSAGE)->EnableWindow(FALSE);
		GetDlgItem(IDC_BTN_SHOW_MESSAGE)->EnableWindow(FALSE);
		GetDlgItem(IDC_BTN_DEFAULT_MESSAGE)->EnableWindow(FALSE);
		GetDlgItem(IDC_BTN_CLEAR_MESSAGE)->EnableWindow(FALSE);
	}
}

void CVCPP_35Dlg::OnCheckEnableProgram() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);	

	if(m_bEnableProgram==TRUE)
	{
		GetDlgItem(IDC_STATIC_RUN_PROGRAM)->EnableWindow(TRUE);
		GetDlgItem(IDC_COMBO_PROGRAMS)->EnableWindow(TRUE);
		GetDlgItem(IDC_BTN_RUN_PROGRAM)->EnableWindow(TRUE);
	}

	else
	{
		GetDlgItem(IDC_STATIC_RUN_PROGRAM)->EnableWindow(FALSE);
		GetDlgItem(IDC_COMBO_PROGRAMS)->EnableWindow(FALSE);
		GetDlgItem(IDC_BTN_RUN_PROGRAM)->EnableWindow(FALSE);
	}
}

void CVCPP_35Dlg::OnCheckShowMessage() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);	

	if(m_bShowMessage==TRUE)
	{
		GetDlgItem(IDC_STATIC_ENTER_MESSAGE)->ShowWindow(TRUE);
		GetDlgItem(IDC_EDIT_MESSAGE)->ShowWindow(TRUE);
		GetDlgItem(IDC_BTN_SHOW_MESSAGE)->ShowWindow(TRUE);
		GetDlgItem(IDC_BTN_DEFAULT_MESSAGE)->ShowWindow(TRUE);
		GetDlgItem(IDC_BTN_CLEAR_MESSAGE)->ShowWindow(TRUE);
	}

	else
	{
		GetDlgItem(IDC_STATIC_ENTER_MESSAGE)->ShowWindow(FALSE);
		GetDlgItem(IDC_EDIT_MESSAGE)->ShowWindow(FALSE);
		GetDlgItem(IDC_BTN_SHOW_MESSAGE)->ShowWindow(FALSE);
		GetDlgItem(IDC_BTN_DEFAULT_MESSAGE)->ShowWindow(FALSE);
		GetDlgItem(IDC_BTN_CLEAR_MESSAGE)->ShowWindow(FALSE);
	}	
}

void CVCPP_35Dlg::OnCheckShowProgram() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);	

	if(m_bShowProgram==TRUE)
	{
		GetDlgItem(IDC_STATIC_RUN_PROGRAM)->ShowWindow(TRUE);
		GetDlgItem(IDC_COMBO_PROGRAMS)->ShowWindow(TRUE);
		GetDlgItem(IDC_BTN_RUN_PROGRAM)->ShowWindow(TRUE);
	}

	else
	{
		GetDlgItem(IDC_STATIC_RUN_PROGRAM)->ShowWindow(FALSE);
		GetDlgItem(IDC_COMBO_PROGRAMS)->ShowWindow(FALSE);
		GetDlgItem(IDC_BTN_RUN_PROGRAM)->ShowWindow(FALSE);
	}	
}

